/**
 * Line path for bezier and straight line draw
 */
import * as graphic from '../../util/graphic.js';
import { PathProps } from 'tvrender/lib/graphic/Path.js';
import PathProxy from 'tvrender/lib/core/PathProxy.js';
declare class LargeFillPolyShape {
    pointsByColor: Record<string, number[][][]>;
}
interface EPolyPlotPathProps extends PathProps {
    shape: LargeFillPolyShape;
}
declare class LargeFillPolyPath extends graphic.Path<EPolyPlotPathProps> {
    type: string;
    shape: LargeFillPolyShape;
    constructor(opts?: EPolyPlotPathProps);
    getDefaultStyle(): {
        stroke: string;
    };
    getDefaultShape(): LargeFillPolyShape;
    buildPath(ctx: PathProxy, shape: LargeFillPolyShape): void;
}
export default LargeFillPolyPath;
